import { AppApiSource } from './app.api';
import { AppRegistry } from './app.registry';
export declare class AppService {
    private readonly appRegistry;
    private readonly appApiSource;
    constructor(appRegistry: AppRegistry, appApiSource: AppApiSource);
    getApp(appId: string): Promise<import("./app.definition").AppDefinition | undefined>;
}
